AutoCAD Inventor :: How To Select Element Of Pick Point Through API

Apr 3, 2013

I am trying to understand how to select element of pick point through API.

I have found example in API manual, chapter "Interactive selection". Everything seems be clear but finally this example (and also others which I have found on web) doesnot work as I am expecting.

There is example:

Public Sub TestSelection() ' Create a new clsSelect object. Dim oSelect As New clsSelect ' Call the pick method of the clsSelect object and set ' the filter to pick any face. Dim oFace As Face Set oFace = oSelect.Pick(kPartFaceFilter) ' Check to make sure an object was selected. If Not oFace Is Nothing Then ' Display the area of the selected face.'''' there is cursor and content menu correct
[code]...

I am able to select face, during selection is cursor shown as arrow with plus symbol, content menu show correctly zoom and pan commands. Unfortunatelly when this selection is done and message box show the value, the cursor and content menu does not return to correct state. Cursor is still with plus and content menu with zoom&pan. I have found that problem is with messagebox, just before messagebox is shown the cursor and content menu return to correct state , but after messagebox is shown and closed, then cursor and content menu is wrong. Why?

Finally I need it for my addin in C#, is there and better way how to select item or input 2d point?

I use Inv 2013.

View 2 Replies


ADVERTISEMENT

AutoCAD .NET :: Select Entity Or Pick Insertion Point?

Aug 4, 2011

know if there is a command which joins GetEnttiy() and GetPoint() functions. At the moment I'm using both commands one after another. Result I want would be one command where you can choose entity or select insertion point.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Select Entity With Options To Type In Text / Pick Point

Nov 6, 2013

I am looking for some code that would allow me to select a MTEXT Entity - or other entity -  (as the DEFAULT option) but also to allow me to type in some text manually or to pick a point in the drawing. Something that would present the user with:

"Select an object or [P to pick a point]"  or

"Select MTEXT or [M to type].

I can write some code to type in text manually as the default option and get the second option to select entity using get string and then write some condition of if code but I don't know how to do it having entsel as default option.

View 3 Replies View Related

AutoCAD Inventor :: Select Versus Pick - API

May 17, 2012

I'm writing a program (C#) that automates the notch tool within the frame generator add-in in Inventor. I can select one part and then select multiple other parts that will notch to the first selected part automatically. This will save me a TON of time if I get it working correctly. With that being said, I have it to the the point where the user selects the first part and then window multiple parts (these are stored and then cycled through later), then I use SendKeys to open the "Notch Tool", and now this is where I encounter my problem. 

The Notch Tool is waiting for the user to Pick/Select one part. In my code I've tried to use the CommandManager.DoSelect method which does not register with the tool (I'll exit out of the tool and the part will be selected). My thinking is that this notch tool will only accept the CommandManager.Pick method which would defeat the purpose of the program as I do not want the user to have to go through the parts one by one notching them together.

Is there a way to simulate a mouse click on a selected occurrence within Inventor? Is there another approach I should be considering? And finally, how to rewrite the actual notch tool to allow multiple notches to be done at once?! I'll post a snippet of my code.

docName = instance.ActiveDocument.DisplayName;
int iHandle = NativeWin32.FindWindow(null, "Autodesk Inventor 2012 - [" + docName + "]");
this.Hide();
NativeWin32.SetForegroundWindow(iHandle);
keybd_event(0x23, 0x4F, 0, 0); // Press End
keybd_event(0x23, 0xCF, 0, 0); // Release End (Brings up notch tool)
Thread.Sleep(3000);
//keybd_event(0x28, 0x0F, 0, 0); // Press Tab
//keybd_event(0x09, 0x8F, 0, 0); // Release Tab
NativeWin32.SetForegroundWindow(iHandle);
Thread.Sleep(500);
instance.CommandManager.DoSelect(vert); 

View 2 Replies View Related

AutoCAD .NET :: How To Pick Insertion Point With Mouse

Apr 26, 2011

How do I get an onscreen point after/ during a VB.net dialog box is launched (as example like with Hatch add pick points. I would like to create button for this in a vb.net dialog box?

View 4 Replies View Related

AutoCAD .NET :: Offset Polyline By Pick Point On Side?

Feb 3, 2013

how to offset a opened polyline by pick point on side of opened polyline.

View 3 Replies View Related

AutoCad :: Any Way To Select Any Element Without Using Mouse

Oct 24, 2011

Is there any way to select an entity by command prompt (without using mouse) so that it can be modified. Actually I need to do some modification to some entities using script and hence I need a way to access the drawing elements by command or kind of way without using mouse.

View 6 Replies View Related

AutoCAD .NET :: Prompt User To Pick Point On Circle With Given Radius?

Jul 25, 2013

I need my users to pick a point p, enter a distance r and a direction v. A new point should be created r units away in vectorial direction. Therefore, the new point is located on an imaginary circle with radius r and center p.

Currently, the user picks the first point and enters a distance. Then, he has to pick another point (Editor.GetPoint with UseBasePoint = true), I calculate the vector between both points, create a new point (with location = BasePoint.location) and translate it d units in vectorial direction. This works of course, but the problem is, that the user doesn't see directly, where his new point is located, since he may pick a point closer to or farther away then r units.

Naively spoken, I want to restrict the line between BasePoint and new point while prompting the user to a fixed length. Native calls to ObjectARX-methods would be also okay.

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Pick Point And Measure Area

Jan 31, 2013

I'm wondering if there is a lisp possible to measure area's by pick point (as in bpoly). This little feature exists in Microstation so i was looking for something similar.

Is it also possible if this lisp can measure areas from an external reference (dwg, dxf, dgn, shp etc..)? I'm kind of new to AutoCAD in that sence.

View 2 Replies View Related

AutoCAD 2010 :: Unable To Select Multiple Grips Using Shift / Pick In Drawing

Mar 29, 2012

I have a drawing where i am not able to select multiple grips using shift/pick to make the grips "hot".  I'm not able to make even one of the grips of a poly line "hot".  However, while trying to solve the problem, i've opened another drawing where i AM able to make grips "hot".  It doesn't appear to be a system setting issue.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Block With Pick Point On Line Prompt?

May 8, 2013

I have a lisp routine that I would like to add to. Right now when running the macro the user is not prompted to "Pick Point On Line" in this example

(command "insert" blk "s" var1 pause pause))

I have added the line

(setq pt1 (entsel "Pick Point On Line "))
(command "insert" blk pt1 "s" var1 pause pause))

but the command doesn't seem to like my PT1 value

BLK and VAR1 are set in another lisp routine.

View 9 Replies View Related

AutoCAD Civil 3D :: XREFed COGO Point Markers Pick Up Color Of Current Layer?

Aug 7, 2012

We have survey files that we xref into our design files. In the survey files themselves, the points don't change color. When we xref them in, the point markers (only the circular node on the actual point, not the line coming off of it) take on the color of whatever the current layer is in the drawing, only fixable by changing the current letter and regenerating.

View 1 Replies View Related

AutoCad :: Select Line Start / End Point That Is Known Distance From OSnap Point?

Jun 9, 2011

I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.

Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.

Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.

Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.

I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.

View 9 Replies View Related

CorelDRAW Graphics Suite X5 :: Unable To Select After Changing Pick Tool

Aug 2, 2011

I'm using corel draw X5, I can't move object if I select "Traditional CorelDRAW" option for ctrl/shift keys, under Pick Tool menu in options window.

If I choose "Windows Standard", I'll be able to move the objects. But I don't like this behavior, because the way it draws new objects, anchoring them in center, instead of upper left corner.

This bug started just after I change this option, "just for curiosity". I wish I never discovered it. How can I solve it? I want to set ctrl / shift behavior to "Traditional CorelDraw" AND be able to move objects.

View 14 Replies View Related

Paint Shop Pro :: Select Multiple Images Using Pick-tool Direct In Canvas?

Apr 18, 2012

I have a PSPIMAGE file with a plenty of images as different layers. I am adjusting the images having one image "size" as reference (make same width and height). But I could select the multiple images just through layers pallete

whether is possible to select multiple pictures (each in different layer) by using the "pick tool" direct in the canvas (or other means)?

View 1 Replies View Related

Photoshop :: Rounded Rectangle - Select One Point To Select Side

Dec 19, 2012

I work with shapes all day designing mobile apps. Thus, I'm constantly selecting and resizing rounded rectangles. When resizing I have to individually select all four points of a side to move it without distorting the rounded corners. I cannot click and drag, because that will activate any shapes underneath the one I want to select.
 
I'm looking for a plugin or alternative to easily select the entire side of a rounded rectangle. IE - I click one point on a side, and it auto selects all four points on that side, or the like.

View 3 Replies View Related

AutoCAD VB :: Select All Objects At A Particular Point

Jun 14, 2012

I'm trying to select all objects at a particular point, but using .SelectAtPoint appears to only return one entity, even though multiple lines are connected to the point.

Sub getSelection() Dim selection As AcadEntity Dim selPt As Variant ThisDrawing.Utility.GetEntity selection, selPt, "Select a segment..." Dim selStart As Variant selStart = selection.StartPoint Dim connSetStart As AcadSelectionSet Set connSetStart = ThisDrawing.SelectionSets.Add("ConnToStart") connSetStart.SelectAtPoint selStart Dim thing1 As Variant For Each thing1 In connSetStart Debug.Print "connSetStart: " & thing1.ObjectName Debug.Print "ID: " & thing1.ObjectID Next thing1 Debug.Print "#objs in startset: " & connSetStart.CountEnd Sub

View 3 Replies View Related

AutoCAD Inventor :: Sketched Symbol - Pick List Options?

Jun 16, 2006

Is there any built in option for a symbol to have a pull down pick list of options? I know that you can make it have a prompted entry, but can you do a sim idea with a pick list?

View 5 Replies View Related

AutoCAD 2010 :: Not Able To Select Base Point

Sep 13, 2012

Having problem of trying to Move, Copy, Stretch etc an object and instead of being able to select a base point...Displacement (which is the default at the command prompt) is somehow selected and your object goes off to coordinate points?  It's probably just a setting or its my mouse, but I didn't change anything and I'm just starting to see the problem. 

View 2 Replies View Related

AutoCAD Inventor :: Pick And Place Movements - Cool Robot Clip

Dec 31, 2011

If you're interested take a look at the attached video clip.

What you will see is one robot tending two tool changers.

I know the quality was rushed, but you should see that one of the two stands actually has the end effector tooling on it.

My question is how do i define a grip from the robot to that tool, so I can move it to the other riser (as you can tell from the animation).

I am not working in Inventor Studio, otherwise this would be somewhat simple. I am doing this in Dynamic Simulation.

My thought was to create a spacial joint between the robot and the tool. But then how would I control through the timing where its location is?

View 1 Replies View Related

AutoCAD LT :: Can't Select Base Point For Scaling Object

Jul 23, 2013

I encounter this.... after i select object for scaling, can't select base point.

View 2 Replies View Related

AutoCAD .NET :: Select Attributes From Block - Point Selection

Jun 18, 2011

Is there a way to select attributes from a block if I pick a point inside the block?

View 6 Replies View Related

AutoCAD Inventor :: Suppress First Element Of Component Pattern

Oct 29, 2013

I have a rectangular component pattern which started out with all components.  As more structure was added around it I started supressing different elements to suit, now a piece of structure has gone thru element 1 but i dont seem to be able to supress it...  is there an easy way to get rid of element 1 without having to redefine the pattern? (redefining causes me other problems)

View 4 Replies View Related

AutoCAD Inventor :: Undo Selected Element One At The Time?

Nov 29, 2011

Is there a way how I can unselect element one at the time?

Example if I do fillets and I select wrong edge and I want to unselect only that because I have selected example twenty edges already and dont wont to throw away all work what I have already done.

View 2 Replies View Related

AutoCAD 2013 :: Select Block And Have Only Insertion Point Showing

Oct 18, 2013

When I select a block, all points contained in the block are shown.  How do I turn this off?  I want to select the block and have only the insertion point showing.

View 1 Replies View Related

AutoCAD Inventor :: Setting Up Point On Different Layer To Mark Center Point Of Circle?

Nov 15, 2012

I need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.

View 2 Replies View Related

AutoCAD Inventor :: Suppress Pattern Occurrence Element With Macro Or API?

Sep 7, 2011

I need to be able to suppress individual elements of a circular pattern so I can retain the angular orientation while being able to reduce the number of instances.  I have found how to suppress the entire circular pattern, but can't seem to get the right terminology to access the elements one at a time.

The code I have to suppress the entire pattern is Feature.InventorFeature("Circular Pattern").Suppressed = True.

View 2 Replies View Related

AutoCAD Inventor :: Use Symmetry To Simplify A Finite Element Model

Aug 11, 2010

I've been trying to use symmetry to simplify a finite element model. Why I see different stress results in these two instances.

Simulation 1: Rectangular Hollow Section, capped at both ends, subject to internal pressure
Simulation 2: Half model i.e. RHS split down the middle lengthwise, with a frictionless constraint applied to the split plane.

Actual problem I want to analyze is a bit more complicated and I was hoping to use symmetry to reduce the processing time?

View 5 Replies View Related

AutoCAD Inventor :: Unable To Suppress Pattern Element Using Ilogic

Aug 9, 2012

I'm trying to use ilogic to suppress some individual elements of a pattern but i couldn't find any command that can target component pattern elements. When i try to capture its current state with the right click menu it does nothing.

I can of course suppress the part within the element but then it doesn't update the BOM.

View 9 Replies View Related

AutoCad :: Join Command - Unable To Select All Polylines (Touching At One Point)

Oct 25, 2011

While i am using Join Command, I Could not able to select all polylines and also could not able to make those are join together (which those are touching at one point).

How to do the above funtion?

View 3 Replies View Related

AutoCAD Inventor :: An Error Occurred While Creating Finite Element Mesh

Sep 19, 2011

we've made a part from an assembly and put the stress analysis to the test. Unfortunately the analysis doesn't complete it's run, because of an error:

"An error occurred while creating the finite element mesh. The cause may be invalid geometry or features that are extremely small in comparison to the overall dimensions of the part. To fix the problem, please suppress those problematic features or use standard meshing method."

We can't change the thickness of the sheet-metal, because it's a model which comes from a supplier with a different cad-program. And supressing any features isn't possible, because it's a base-solid.

But where can we change it to the standard meshing methode? The program is recently re-installed on my computer, the settings haven't changed since it's been installed. We can't find the feature.

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved